package net.wanji.databus.provider.identity.identity;


import net.wanji.common.framework.exception.DubboProviderException;
import net.wanji.common.framework.dubbointerface.BaseDubboInterface;
import net.wanji.databus.entity.identity.identity.User;

import java.util.List;
import java.util.Map;

/**
 *
 * @author wanji
 * @date 2019/3/5
 */
public interface UserProvider extends BaseDubboInterface<User> {
    /**
     * @Description: 根据username查找用户
     *
     * @param username
     * @return net.wanji.design.entity.design.authcenter.User
     * @Author wanji
     * @Date 2019/11/30 14:08
     **/
    User findByUsername(String username) throws DubboProviderException;

    /**
     * @Description: 根据username和cardId查找用户
     *
     * @param username
     * @param cardId
     * @return net.wanji.design.entity.design.authcenter.User
     * @Author wanji
     * @Date 2019/12/17 16:39
     **/
    User findCurrentUser(String username, String cardId) throws DubboProviderException;

    String getUserById(Map<String,Object> params) throws DubboProviderException;

    User getUserByBusinessAccountId(String businessAccountId)  throws DubboProviderException;;

    User findUserByUsername(String username) throws DubboProviderException;

    List listStationsByUserId(String userId, String appId) throws DubboProviderException;

}
